Skip to main content
POST
/
queues
/
{queue_id}
/
cases
/
bulk-delete
Bulk delete cases
curl --request POST \
  --url https://api.duvo.ai/v1/queues/{queue_id}/cases/bulk-delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "case_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "deletedCount": 123,
  "interruptedRunIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

queue_id
string<uuid>
required

The queue's unique identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
case_ids
string<uuid>[]
required

Case IDs to delete (1-100).

Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Default Response

deletedCount
number
required
interruptedRunIds
string<uuid>[]
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$